---
updatedAt: 2026-06-29T21:10:45.000Z
---

# Get Pickup Seller Schedule(New)

Use this endpoint to retrieve scheduled pickup details of the booked shipment.

Get Pickup Seller Schedule API provides the pickup confirmation number, pick up date, facility ready/close times, and the scheduling status for a transportation quote.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Fulfillment Management",
    "version": "1.0",
    "description": "With Walmart Fulfillment Services, you can focus on sales while Walmart expertly take care of fast shipping, seamless returns, and customer service. Simply send your inventory to Walmart fulfillment centers, where we will store your products securely and prepare them swiftly for shipping when an order is placed."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Sandbox URL"
    }
  ],
  "security": [
    {
      "accessToken": []
    }
  ],
  "paths": {
    "/v3/fulfillment/inbound-seller-schedule": {
      "get": {
        "tags": [
          "Fulfillment"
        ],
        "summary": "Get Pickup Seller Schedule(New)",
        "description": "Use this endpoint to retrieve scheduled pickup details of the booked shipment.\n\nGet Pickup Seller Schedule API provides the pickup confirmation number, pick up date, facility ready/close times, and the scheduling status for a transportation quote.",
        "operationId": "inboundSellerSchedule",
        "parameters": [
          {
            "name": "quoteType",
            "in": "query",
            "required": true,
            "description": "Specifies the transportation quote.",
            "example": "LTL",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "shipmentId",
            "in": "query",
            "description": "Unique identifier identifying each shipment.",
            "required": true,
            "example": "0716575GDM",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "quoteId",
            "in": "query",
            "description": "Unique identifier identifying each quote.",
            "required": true,
            "example": "1385226257027837952",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "description": "Use a Basic Authorization header by Base64-encoding the Client ID and Client Secret obtained in step two of the integration process. Format the credentials as ClientID:ClientSecret before encoding.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Basic YzcyOTFjNmItNzI5MC00...."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique identifier to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique identifier that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Specifies the name of the Walmart service being called.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Marketplace"
          },
          {
            "name": "WM_GLOBAL_VERSION",
            "description": "GLOBAL VERSION DEFAULT AS 3.1.",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "3.1"
              ]
            }
          },
          {
            "name": "WM_MARKET",
            "description": "Identifies the Walmart Marketplace region for the request. If not specified, US is used by default.",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "US"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "status"
                  ],
                  "type": "object",
                  "properties": {
                    "payload": {
                      "type": "object",
                      "properties": {
                        "pickupConfirmationNumber": {
                          "type": "string",
                          "description": "pickup confirmation number.",
                          "example": "PU-946-250610332"
                        },
                        "pickupDate": {
                          "type": "string",
                          "format": "date",
                          "description": "Scheduled pickup date in YYYY-MM-DD format.",
                          "example": "2025-06-25"
                        },
                        "readyTime": {
                          "type": "string",
                          "format": "time",
                          "description": "Facility ready time when the carrier can arrive in HH:MM:SS format.",
                          "example": "08:00:00"
                        },
                        "closeTime": {
                          "type": "string",
                          "format": "time",
                          "description": "Facility close time for pickup in 24-hour HH:MM:SS format.",
                          "example": "17:00:00"
                        },
                        "status": {
                          "type": "string",
                          "description": "Pickup scheduling status.",
                          "example": "SCHEDULED"
                        }
                      }
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "OK"
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "enum": [
                        "400.WFS.100"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "accessToken": {
        "type": "apiKey",
        "in": "header",
        "name": "WM_SEC.ACCESS_TOKEN",
        "description": "An access token required for authenticating API requests. Obtain the token from `POST /v3/token` using the `client_credentials` grant type."
      }
    }
  }
}
```